import {Request, Response} from 'express';
import {db, ValidationError, Page} from '../../models';

export default async (req: Request, res: Response) => {
    const {title, content} = req.body;
    if (!title || !content) {
        res.status(400).send({error: 'Missing title or content'});
    }

    const id = await Page.query(db.primary)
        .insert({title, content})
        .returning('id');

    res.send({id});
};
