'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const { Model } = require('.');
class WikidotPage extends Model {
    static get tableName() {
        return 'pages';
    }
    static get jsonSchema() {
        return {
            type: 'object',
            required: [
                'title',
                'content'
            ],
            properties: {
                title: { type: 'string', minLength: 10, maxLength: 1000 },
                content: { type: 'string', minLength: 1, maxLength: 100000 }
            }
        };
    }
}
WikidotPage.ID_REG = /^\d{18}$/;
exports.default = WikidotPage;
//# sourceMappingURL=page.js.map